COBRAS and Unity 4.0(2)

Unanswered Question
Oct 12th, 2008
User Badges:

Hi All,


I am just wondering if anyone has been able to use COBRAS and migrate users etc, from Unity 4.0(2) to another version of unity.


From the COBRAS Doc's and the video it looks like 4.0(2) is not supported, but I am just wondering if any one has had any luck using it..


Thanks


Jason

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 4.7 (3 ratings)
Loading.
bigcappa1 Mon, 10/13/2008 - 00:31
User Badges:
  • Silver, 250 points or more

Jason,

I used COBRA to migrate users from a 4.2 to 5.0 Unity and it worked brilliantly. Granted version 5 is really just an upgrade of version 4.2 it still worked so problem free I thought there had to be a catch but not at all. According to the UnityTools website you can export from 4.0.2 and import into any version you just cant go from say version 5 back to version 4.0.2 in otherwords you import back into a version the same or above

Check the website

http://www.ciscounitytools.com/App_COBRAS.htm


Suggest you download the training video also as there are excellent step by step guides.

It really is much easier and more flexible than the DiRT tool.

There are things it doesnt do so read the help page first. DiRT I believe effectivly takes a ghost image hence the reason you can only install it back on to the same version of software, where as COBRA only backs up configuration allows the move between software versions

Thanks

Paul

Markus Schneider Mon, 10/13/2008 - 02:33
User Badges:
  • Cisco Employee,

Unfortunately, Unity versions prior to 4.0.2 definitely aren't supported and I believe the tool will actually prevent that from happening. There are some known issues... you definitely don't want to use it for earlier versions than 4.0.5.

Tommer Catlin Mon, 10/13/2008 - 08:34
User Badges:
  • Green, 3000 points or more

yeah, like the suggestions here, you have to upgrade to 4.05 just to use cobras for migration. If you are setting up a new server, i would probably go for starting fresh. If it's a UM to UM, (or VM to VM) install the new 5.01 server into your domain and use GSM to migrate the Subscribers. Recreate the CallHandlers and clean out and verify everything.


You get a better running Unity server in the end rather than upgrading 4.02-to 4.05 (which 4.05 is nothing special either, might as well go to 4.2). No prior issues from someone who may have had repaired the Unity server in the past and had issues. (SQL db issues that may be fine now, but not work well in 5.01)


If you have a ton of customized CallHandlers, schedules, Subscriber Templates, etc.. you are better off then upgrading to 4.2, installing the new Unity servers as 4.2, then doing an inplace upgrade from 4.2. 5.01. It will at least keep every setting.


Cobras has pro/cons in it. If you migrate messages, it does not keep the VMs as marked new or read... everything is new... so beware. Subscriber Templates do not come over. (watch the videos and read the help notes)


Every upgrade is not the same. So take all the advice you can get, make your decision on what works best for your situation. All though, the worst choice is to do an inplace upgrade 4.02 to 4.05 without any type of spare hardrives. I have had those upgrades go sideways and have to rebuild everything from scratch.


Buy the spare drives, it's worth it!

jasonharmer Mon, 10/13/2008 - 15:41
User Badges:

Thanks guys,


Back to the drawing board for a migration plan.

We are going to Unity 7, and the server is in a new domain, so it looks like creating trusts between the domains etc.. will be the only way to move forward and migrate the existing 4.0(2) subscribers to 7.0(2)


Thanks for the confirmation of what I had thought about COBRAS..


Jason

Actions

This Discussion